from pydantic import BaseModel
from typing import List, Optional



class TaskStatusParam(BaseModel):
    task_id: str

class EvaluateStatusParam(BaseModel):
    evaluate_id: str
class DecodeParam(BaseModel):
    channel_content_id: str
    video: str
    title: str

class DecodeWorkflowParam(BaseModel):
    video_id: str
    video_url: str
    title: str
    task_status: Optional[int] = 0


class DecodeListParam(BaseModel):
    video_list: List[DecodeParam]

class TopicListParam(BaseModel):
    video_list: List[DecodeWorkflowParam]
    type: Optional[int] = 1

class EvaluateWorkflowParam(BaseModel):
    video_id: str
    channel_content_id: str
    task_id: str
    status: int
    result: str
class EvaluateListParam(BaseModel):
    evaluate_list: List[EvaluateWorkflowParam]
